Sound effects
Describe any sound and get an audio clip back. Useful for custom SFX when a stock library does not have what the edit needs.
#Generate a sound effect
Enqueue a job to generate a custom sound effect from a text description.
https://api.rendley.com/v1/ai/generate-sound-effectDon't have one? Create an API key
Which model to use. Changing it updates the params below.
Model-specific parameters. The fields listed for the selected model.
Text prompt describing the sound effect to generate (e.g. 'whoosh transition'; 'dramatic impact hit'; 'gentle rain ambience')
Duration of the sound effect in seconds (0.5 to 22). Defaults to 5 seconds if omitted.
const res = await fetch("https://api.rendley.com/v1/ai/generate-sound-effect", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"params": {
"prompt": "Distant thunder rolling"
},
"model_id": "eleven-labs-sound-effect"
}),
});
const { data } = await res.json();curl -X POST "https://api.rendley.com/v1/ai/generate-sound-effect" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"params": {
"prompt": "Distant thunder rolling"
},
"model_id": "eleven-labs-sound-effect"
}'import requests
res = requests.post(
"https://api.rendley.com/v1/ai/generate-sound-effect",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"params": {
"prompt": "Distant thunder rolling"
},
"model_id": "eleven-labs-sound-effect"
},
)
data = res.json()["data"]$ch = curl_init("https://api.rendley.com/v1/ai/generate-sound-effect");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "Content-Type: application/json"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(["params" => ["prompt" => "Distant thunder rolling"], "model_id" => "eleven-labs-sound-effect"]));
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true)["data"];package main
import (
"fmt"
"io"
"net/http"
"bytes"
)
func main() {
body := bytes.NewBufferString(`{
"params": {
"prompt": "Distant thunder rolling"
},
"model_id": "eleven-labs-sound-effect"
}`)
req, _ := http.NewRequest("POST", "https://api.rendley.com/v1/ai/generate-sound-effect", body)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
b, _ := io.ReadAll(res.Body)
fmt.Println(string(b))
}require "net/http"
require "json"
uri = URI("https://api.rendley.com/v1/ai/generate-sound-effect")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["Content-Type"] = "application/json"
req.body = { params: { prompt: "Distant thunder rolling" }, model_id: "eleven-labs-sound-effect" }.to_json
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)["data"]Response
{
"data": {
"job_id": "d97241f2-e1e4-4651-b078-8663fc35c584"
}
}#Calculate sound effect generation cost
Calculate the credit cost of generating a sound effect from a text description.
https://api.rendley.com/v1/ai/generate-sound-effect/costDon't have one? Create an API key
Which model to use. Changing it updates the params below.
Model-specific parameters. The fields listed for the selected model.
Text prompt describing the sound effect to generate (e.g. 'whoosh transition'; 'dramatic impact hit'; 'gentle rain ambience')
Duration of the sound effect in seconds (0.5 to 22). Defaults to 5 seconds if omitted.
const res = await fetch("https://api.rendley.com/v1/ai/generate-sound-effect/cost", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"params": {
"prompt": "Distant thunder rolling"
},
"model_id": "eleven-labs-sound-effect"
}),
});
const { data } = await res.json();curl -X POST "https://api.rendley.com/v1/ai/generate-sound-effect/cost" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"params": {
"prompt": "Distant thunder rolling"
},
"model_id": "eleven-labs-sound-effect"
}'import requests
res = requests.post(
"https://api.rendley.com/v1/ai/generate-sound-effect/cost",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"params": {
"prompt": "Distant thunder rolling"
},
"model_id": "eleven-labs-sound-effect"
},
)
data = res.json()["data"]$ch = curl_init("https://api.rendley.com/v1/ai/generate-sound-effect/cost");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "Content-Type: application/json"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(["params" => ["prompt" => "Distant thunder rolling"], "model_id" => "eleven-labs-sound-effect"]));
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true)["data"];package main
import (
"fmt"
"io"
"net/http"
"bytes"
)
func main() {
body := bytes.NewBufferString(`{
"params": {
"prompt": "Distant thunder rolling"
},
"model_id": "eleven-labs-sound-effect"
}`)
req, _ := http.NewRequest("POST", "https://api.rendley.com/v1/ai/generate-sound-effect/cost", body)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
b, _ := io.ReadAll(res.Body)
fmt.Println(string(b))
}require "net/http"
require "json"
uri = URI("https://api.rendley.com/v1/ai/generate-sound-effect/cost")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["Content-Type"] = "application/json"
req.body = { params: { prompt: "Distant thunder rolling" }, model_id: "eleven-labs-sound-effect" }.to_json
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)["data"]Response
{
"data": 0
}